INSERT INTO erpa21
(nr01, pm00, p01, p02, p03, p04, p05, p06, p07, p101, p102, p103, p104, p201, p202, p203, 
remfdate, remftime, remfuser, remdate, remtime, remuser) 

SELECT peg_new_nr01('erpa21', 1) as nr01, 
       '{p_t00nr01}' as pm00,
       substr(p01, 1, 15) as p01, 
       p02 as p02, 
       p03 as p03, 
       p04 as p04, 
       p05 as p05, 
       p06 as p06, 
       substr(p07, 1, 15) as p07, 
       
       p101 as p101, 
       p102 as p102, 
       p103 as p103, 
       p104 as p104, 

       p201 as p201, 
       substr(p202, 1, 40) as p202, 
       p203 as p203, 
       
       curdate()      as remfdate, 
       curtime()      as remftime, 
       '{user_pswd}'  as remfuser, 
       curdate()      as remdate, 
       curtime()      as remtime, 
       '{user_pswd}'  as remuser 
        
       
FROM {p_t00tmp1};
